Index: tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-backward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,98 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### (un)select molecules by order
+
+
+AT_SETUP([Selection - Molecule by order, backward])
+AT_KEYWORDS([selection molecule select-molecule-by-order])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order -2 -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-backward.py >session-selection-select-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order -1 -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-backward.py >session-selection-select-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, backward with Undo])
+AT_KEYWORDS([selection molecule select-molecule-by-order undo])
+
+comparisonfile=empty.xyz
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order -2 --undo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-backward.py >session-selection-select-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty2.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order -1 --undo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-backward.py >session-selection-select-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, backward with Redo])
+AT_KEYWORDS([selection molecule select-molecule-by-order redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order -2 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-backward.py >session-selection-select-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order -1 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-backward.py >session-selection-select-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
Index: tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-select-molecule-by-order-forward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,97 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### (un)select molecules by order
+
+
+AT_SETUP([Selection - Molecule by order, forward])
+AT_KEYWORDS([selection molecule select-molecule-by-order])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order 1 -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-forward.py >session-selection-select-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order 2 -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-forward.py >session-selection-select-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, forward with Undo])
+AT_KEYWORDS([selection molecule select-molecule-by-order undo])
+
+comparisonfile=empty.xyz
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order 1 --undo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-forward.py >session-selection-select-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=empty2.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order 2 --undo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-forward.py >session-selection-select-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Molecule by order, forward with Redo])
+AT_KEYWORDS([selection molecule select-molecule-by-order redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order 1 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-forward.py >session-selection-select-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-order 2 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-select-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-select-molecule-by-order-forward.py >session-selection-select-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-select-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-backward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,97 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### (un)select molecules by order
+
+
+AT_SETUP([Unselection - Molecule by order, backward])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-order])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-backward.py >session-selection-unselect-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-backward.py >session-selection-unselect-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, backward with Undo])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-order undo])
+
+comparisonfile=twowater.xyz
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-backward.py >session-selection-unselect-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater2.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-backward.py >session-selection-unselect-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, backward with Redo])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-order redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order -2 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-backward.py >session-selection-unselect-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order -1 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-backward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-backward.py >session-selection-unselect-molecule-by-order-backward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-backward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/MoleculeByOrder/testsuite-selection-unselect-molecule-by-order-forward.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,98 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### (un)select molecules by order
+
+
+AT_SETUP([Unselection - Molecule by order, forward])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-order])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-forward.py >session-selection-unselect-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-forward.py >session-selection-unselect-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, forward with Undo])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-order undo])
+
+comparisonfile=twowater.xyz
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-forward.py >session-selection-unselect-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=twowater2.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-forward.py >session-selection-unselect-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$comparisonfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Unselection - Molecule by order, forward with Redo])
+AT_KEYWORDS([unselection molecule unselect-molecule-by-order redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id1.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order 1 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-forward.py >session-selection-unselect-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/MoleculeByOrder"
+srcfile=twowater.xyz
+testfile=test.xyz
+targetfile=water_id0.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-all-molecules --unselect-molecule-by-order 2 --undo --redo -s $targetfile --no-dry-run --store-session session-selection-unselect-molecule-by-order-forward.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-molecule-by-order-forward.py >session-selection-unselect-molecule-by-order-forward_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-unselect-molecule-by-order-forward_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
